var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import ReactDOM from 'react-dom';
import { ActionSheet } from './action-sheet';
import './index.scss';
export { ActionSheet } from './action-sheet';
var actionSheetReturnList = [];
export function actionSheet(options) {
    var opt = options;
    var container = document.createElement('div');
    container.className = 'pant-action-sheet-container';
    function onCancel() {
        res.close();
    }
    function onSelect(item, index) {
        if (opt.closeOnSelect !== false) {
            res.close();
        }
        opt.onSelect && opt.onSelect(item, index);
    }
    var res = {
        close: function () {
            if (!container) {
                return;
            }
            ReactDOM.render(_jsx(ActionSheet, __assign({}, opt, { onCancel: opt.onCancel || onCancel, onSelect: onSelect, onClosed: function () {
                    document.body.removeChild(container);
                    container = null;
                    opt.onClosed && opt.onClosed();
                } }), void 0), container);
            var index = actionSheetReturnList.indexOf(res);
            index >= 0 && actionSheetReturnList.splice(index, 1);
        },
    };
    actionSheetReturnList.push(res);
    document.body.appendChild(container);
    ReactDOM.render(_jsx(ActionSheet, __assign({}, opt, { onCancel: opt.onCancel || onCancel, onSelect: onSelect, show: true }), void 0), container);
    return res;
}
export function closeAllactionSheets() {
    actionSheetReturnList.forEach(function (item) { return item.close(); });
}
