var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import clsx from 'clsx';
import { BORDER_TOP_BOTTOM } from '../utils/constant';
import { createBEM } from '../utils/bem';
import './index.scss';
var bem = createBEM('pant-cell-group');
export var CellGroup = function (props) {
    var _a;
    var Group = _jsx("div", __assign({ className: clsx(bem(), (_a = {}, _a[BORDER_TOP_BOTTOM] = props.border, _a)) }, { children: props.children }), void 0);
    if (props.title) {
        return (_jsxs("div", { children: [_jsx("div", __assign({ className: bem('title') }, { children: props.title }), void 0), Group] }, void 0));
    }
    return Group;
};
