import React from 'react';
import './index.scss';
export declare type CellProps = {
    title?: React.ReactNode;
    label?: React.ReactNode;
    icon?: React.ReactNode;
    rightIcon?: React.ReactNode;
    size?: 'large';
    border?: boolean;
    center?: boolean;
    required?: boolean;
    className?: string;
    titleClassName?: string;
    titleStyle?: Record<string, string>;
    style?: Record<string, string>;
    valueClassName?: string;
    onClick?(event: React.MouseEvent): void;
};
export declare const Cell: React.FC<CellProps>;
