var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import { createBEM } from '../utils/bem';
import './index.scss';
var bem = createBEM('pant-col');
export var Col = function (props) {
    var _a;
    var span = props.span, offset = props.offset;
    var gutter = Number(props.gutter) || 0;
    var padding = gutter / 2 + "px";
    var style = gutter ? { paddingLeft: padding, paddingRight: padding } : {};
    return (_jsx("div", __assign({ style: style, className: bem((_a = {}, _a[span] = span, _a["offset-" + offset] = offset, _a)), onClick: props.onClick }, { children: props.children }), void 0));
};
Col.defaultProps = {
    gutter: 0,
};
