/// <reference types="react" />
import { ActionSheetItem } from '../../../action-sheet';
import { DataListAddon } from '../..';
declare type RecordActionItem<T = Record<string, any>> = ActionSheetItem & {
    action: (record: T, recordIndex: number) => void;
};
export declare type RecordActionsOptions<T = Record<string, any>> = {
    getActions: (record: T, recordIndex: number) => RecordActionItem<T>[];
    actionIcon?: JSX.Element;
    cancelText?: string;
};
export declare function recordActions(options: RecordActionsOptions): DataListAddon;
export {};
