import React from 'react';
import { DataListAddon } from '../..';
import { SelectableManager } from './manager';
import './index.scss';
export { SelectableManager };
export declare type SelectableOptions = {
    checkedIcon?: JSX.Element;
    uncheckedIcon?: JSX.Element;
    singleCheckedIcon?: JSX.Element;
    singleUncheckedIcon?: JSX.Element;
    value?: string[];
    maxSelection?: number;
    maxSelectionMsg?: string;
    onChange: (value: string[]) => void;
};
export declare const SelectableContext: React.Context<SelectableManager<Record<string, any>>>;
export declare function selectable(options: SelectableOptions): DataListAddon;
