import React from 'react';
import { ValidateTrigger } from '../field';
export declare type SubmitResult<T = any> = {
    ok: boolean;
    message: string;
    data: T;
};
export declare type FormProps<T> = {
    validateTrigger?: ValidateTrigger[];
    onSubmit?: (res: Promise<SubmitResult<T>>) => void;
};
export declare class Form<T = never> extends React.PureComponent<FormProps<T>> {
    private bindedOnSubmit;
    private childRefs;
    private onSubmit;
    mapChildren(children: React.ReactNode): React.ReactNode;
    render(): JSX.Element;
}
