import React from 'react';
export declare type LazyloadProps = {
    width?: number | string;
    height?: number | string;
    preloadOffset?: number;
    inline?: boolean;
    className?: string;
    style?: Record<string, string>;
    children?: React.ReactNode;
    scroller?: HTMLElement | Window;
};
declare type LazyloadState = {
    loaded: boolean;
};
export declare class Lazyload extends React.PureComponent<LazyloadProps, LazyloadState> {
    static defaultProps: {
        preloadOffset: number;
        scroller: Window & typeof globalThis;
    };
    state: {
        loaded: boolean;
    };
    placeholder: HTMLElement;
    bindedSetPlaceholder: any;
    bindedOnScroll: any;
    private setPlaceholder;
    private onScroll;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export {};
