import React from 'react';
import './index.scss';
export declare type SearchProps = {
    shape?: 'sqaure' | 'round';
    defaultValue?: string;
    label?: string;
    placeholder?: string;
    icon?: React.ReactNode;
    inputAlign?: 'center' | 'right';
    disabled?: boolean;
    clearable?: boolean;
    clearTrigger?: 'always' | 'focus';
    background?: string;
    actionText?: string;
    actionNode?: React.ReactNode;
    showAction?: boolean;
    onSearch?(value: string): void;
    onChange?(value: string): void;
};
export declare const Search: React.FC<SearchProps>;
