import React from 'react';
import './index.scss';
export declare type TitleParentProps = {
    type?: 'line' | 'card';
    color?: string;
    ellipsis?: boolean;
    scrollable?: boolean;
    activeColor?: string;
    inactiveColor?: string;
    swipeThreshold?: number | string;
};
export declare type TitleProps = TitleParentProps & {
    dot?: boolean;
    info?: number | string;
    title: string;
    titleNode?: React.ReactNode;
    name?: string;
    isActive?: boolean;
    disabled?: boolean;
    onClick?(event: React.MouseEvent, props: TitleProps): void;
};
export declare const Title: React.FC<TitleProps>;
