var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import clsx from 'clsx';
import { Icon } from '../icon';
import { createBEM } from '../utils/bem';
import { BORDER_SURROUND } from '../utils/constant';
import './index.scss';
var bem = createBEM('pant-tag');
export var Tag = function (props) {
    var _a, _b;
    var type = props.type, mark = props.mark, plain = props.plain, color = props.color, round = props.round, size = props.size;
    var key = plain ? 'color' : 'backgroundColor';
    var style = (_a = {}, _a[key] = color, _a);
    if (props.textColor) {
        style.color = props.textColor;
    }
    var classes = { mark: mark, plain: plain, round: round };
    if (size) {
        classes[size] = size;
    }
    var CloseIcon = props.closeable && (_jsx(Icon, { name: "cross", className: bem('close'), onClick: function (event) {
            event.stopPropagation();
            props.onClose && props.onClose();
        } }, void 0));
    return (_jsxs("span", __assign({ style: style, className: clsx(bem([classes, type]), (_b = {}, _b[BORDER_SURROUND] = plain, _b)) }, { children: [props.children, CloseIcon] }), "content"));
};
Tag.defaultProps = {
    type: 'default',
};
