import React from 'react';
import { ColumnItem, StandardColumnItem } from '.';
declare type CascaderColumnProps = {
    maxSelection: number;
    width: number;
    index: number;
    value?: string;
    items: ColumnItem[];
    checkedIcon?: JSX.Element;
    uncheckedIcon?: JSX.Element;
    normalizeItem: (item: ColumnItem) => StandardColumnItem;
    isItemSelected: (columnIndex: number, item: StandardColumnItem) => boolean;
    hasChildrenSelected: (columnIndex: number, item: StandardColumnItem) => boolean;
    onClick: (columnIndex: number, item: StandardColumnItem) => void;
};
export declare const CascaderColumn: React.FC<CascaderColumnProps>;
export {};
