/// <reference types="react" />
import { ActionSheetItem } from '../../../action-sheet';
import { DataListAddon } from '../..';
import { SelectableManager } from '../selectable';
import './index.scss';
declare type BatchActionItem<T = Record<string, any>> = ActionSheetItem & {
    action: (selectable: SelectableManager<T>) => void;
};
export declare type BatchActionsOptions<T = Record<string, any>> = {
    render?: (selectable: SelectableManager<T>, showActions: () => void) => JSX.Element;
    getActions?: (selectable: SelectableManager<T>) => BatchActionItem<T>[];
    cancelText?: string;
};
export declare function batchActions(options: BatchActionsOptions): DataListAddon;
export {};
