/// <reference types="react" />
import { DataListAddon } from '../..';
import './index.scss';
export declare type PagingQuery = {
    pageIndex?: number;
    pageSize?: number;
};
export declare type PageableOptions = {
    sticky?: boolean;
    stickyContainer?: React.RefObject<HTMLElement>;
    pageIndex?: number;
    pageSize?: number;
    recordCount?: number;
    prevPageText?: string;
    nextPageText?: string;
    onPagingChange?: (query: PagingQuery) => void;
};
export declare function pageable(options?: PageableOptions): DataListAddon;
