export declare type KeySelector<T = Record<string, any>> = (record: T, recordIndex: number) => string;
export declare type RecordKey<T> = T extends Record<string, any> ? keyof T : string | string[] | KeySelector<T>;
export declare const select: <T = Record<string, any>>(recordKey?: RecordKey<T>) => KeySelector<T>;
