import { NotifyProps, NotifyType } from './notify';
import './index.scss';
export { Notify } from './notify';
export type { NotifyProps } from './notify';
export declare type NotifyOptions = NotifyProps & {
    duration?: number;
    clearOnClick?: boolean;
};
export declare type NotifyReturn = {
    clear(): void;
    setMessage(message: string): void;
};
export declare function notify(options: string | NotifyOptions, type?: NotifyType): NotifyReturn;
export declare function clearAllNotifies(): void;
