"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioGroup = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = __importDefault(require("react"));
var checkbox_group_1 = require("../checkbox-group");
var utils_1 = require("../utils");
var RadioGroup = /** @class */ (function (_super) {
    __extends(RadioGroup, _super);
    function RadioGroup() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.ref = react_1.default.createRef();
        return _this;
    }
    RadioGroup.prototype.getValue = function () {
        var res = this.ref.current.getValue();
        return res && res[0];
    };
    RadioGroup.prototype.render = function () {
        var defaultValue = this.props.defaultValue;
        var passProps = utils_1.omit(this.props, ['defaultValue', 'max', 'onMaxLimit']);
        return (jsx_runtime_1.jsx(checkbox_group_1.CheckboxGroup, __assign({}, passProps, { ref: this.ref, defaultValue: (utils_1.isDef(defaultValue) && [defaultValue]) || undefined, role: "radio", max: "1" }), void 0));
    };
    return RadioGroup;
}(react_1.default.PureComponent));
exports.RadioGroup = RadioGroup;
