import React from 'react';
import * as CSS from 'csstype';
import { ButtonType } from '../button';
import './index.scss';
export declare type SubmitBarProps = {
    tip?: string;
    tipIcon?: string;
    label?: string;
    price?: number;
    loading?: boolean;
    currency?: string;
    disabled?: boolean;
    buttonType?: ButtonType;
    buttonText?: string;
    suffixLabel?: string;
    decimalLength?: number;
    safeAreaInsetBottom?: boolean;
    textAlign?: CSS.Property.TextAlign;
    tipNode?: React.ReactNode;
    topNode?: React.ReactNode;
    children?: React.ReactNode;
    onSubmit?(): void;
};
export declare const SubmitBar: React.FC<SubmitBarProps>;
