import React from 'react';
import './index.scss';
export declare type TagType = 'default' | 'primary' | 'success' | 'warning' | 'danger';
export declare type TagSize = 'large' | 'medium';
export declare type TagProps = {
    type?: TagType;
    size?: TagSize;
    mark?: boolean;
    color?: string;
    plain?: boolean;
    round?: boolean;
    textColor?: string;
    closeable?: boolean;
    onClose?(): void;
};
export declare const Tag: React.FC<TagProps>;
