/**
 * bem helper
 * b() // 'button'
 * b('text') // 'button__text'
 * b({ disabled }) // 'button button--disabled'
 * b('text', { disabled }) // 'button__text button__text--disabled'
 * b(['disabled', 'primary']) // 'button button--disabled button--primary'
 */
export declare type BemMod = string | Record<string, any>;
export declare type BemMods = BemMod | BemMod[];
export declare function createBEM(name: string): (el?: BemMods, mods?: BemMods) => string;
export declare type BEM = ReturnType<typeof createBEM>;
