"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deepClone = void 0;
var deep_assign_1 = require("./deep-assign");
function deepClone(obj) {
    if (Array.isArray(obj)) {
        return obj.map(function (item) { return deepClone(item); });
    }
    if (typeof obj === 'object') {
        return deep_assign_1.deepAssign({}, obj);
    }
    return obj;
}
exports.deepClone = deepClone;
