export declare const inBrowser: boolean;
export declare function isDef(val: any): boolean;
export declare function isObject(val: unknown): val is Record<any, any>;
export declare function isNumeric(val: string): boolean;
export declare function isNaN(val: number): val is typeof NaN;
export declare function addUnit(value?: number | string): string | undefined;
export declare function removeUnit(value?: number | string): number | undefined;
export declare function omit(obj: Record<string, any>, keys: string[]): Record<string, any>;
export declare function getIncrementalZIndex(base?: number): number;
export declare function interpolate(text: string, data: Record<string, string | number> | Array<string | number>): string;
