export declare type ScrollElement = HTMLElement | Window;
export declare function getScroller(el: HTMLElement, root?: ScrollElement): ScrollElement;
export declare function isRootScroller(el: ScrollElement): boolean;
export declare function getScrollTop(el: ScrollElement): number;
export declare function setScrollTop(el: ScrollElement, value: number): void;
export declare function getRootScrollTop(): number;
export declare function setRootScrollTop(value: number): void;
export declare function getElementTop(el: ScrollElement, scroller?: ScrollElement): number;
export declare function getVisibleHeight(el: ScrollElement): number;
export declare function getVisibleTop(el: ScrollElement): number;
export declare function getVisibleBottom(el: ScrollElement): number;
export declare function getViewportSize(): {
    width: number;
    height: number;
};
export declare function scrollLeftTo(scroller: HTMLElement, to: number, duration: number): void;
export declare function scrollTopTo(scroller: ScrollElement, to: number, duration: number, callback: () => void): void;
