import React from 'react';
import './index.scss';
export declare type CardProps = {
    tag?: string;
    num?: number | string;
    desc?: string;
    thumb?: string;
    title?: string;
    price?: number | string;
    currency?: string;
    centered?: boolean;
    lazyLoad?: boolean;
    thumbLink?: string;
    originPrice?: number | string;
    tagNode?: React.ReactNode;
    tagsNode?: React.ReactNode;
    numNode?: React.ReactNode;
    descNode?: React.ReactNode;
    thumbNode?: React.ReactNode;
    titleNode?: React.ReactNode;
    priceTopNode?: React.ReactNode;
    priceNode?: React.ReactNode;
    originPriceNode?: React.ReactNode;
    bottomNode?: React.ReactNode;
    footerNode?: React.ReactNode;
    onClickThumb?(event: React.MouseEvent): void;
};
export declare const Card: React.FC<CardProps>;
