var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Sticky } from '../../../sticky';
import { useMiddleware } from '../../use-middleware';
import './index.scss';
export function toolbar(options) {
    if (options === void 0) { options = {}; }
    return {
        onInjectDataList: function (render) { return function (props) {
            return _jsx(DataListToolbar, __assign({ dataListProps: props, dataListRender: render }, options), void 0);
        }; },
    };
}
function DataListToolbar(_a) {
    var dataListRender = _a.dataListRender, dataListProps = _a.dataListProps, sticky = _a.sticky, stickyContainer = _a.stickyContainer;
    var toolbar = _jsx(Toolbar, __assign({}, dataListProps), void 0);
    return (_jsxs(_Fragment, { children: [sticky ? (_jsx(Sticky, __assign({ container: stickyContainer, offsetBottom: 60 }, { children: toolbar }), void 0)) : (toolbar),
            dataListRender(__assign({}, dataListProps))] }, void 0));
}
function Toolbar(props) {
    var addons = props.addons;
    var renderToolbar = useMiddleware(addons, 'onInjectToolbar')(function () { return _jsx(_Fragment, {}, void 0); });
    return _jsx("div", __assign({ className: "pant-data-list__toolbar pant-hairline--bottom" }, { children: renderToolbar(props) }), void 0);
}
