var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { createBEM } from '../utils/bem';
import { i18n } from '../locale';
import { useMiddleware } from './use-middleware';
import { DataListRecord } from './data-list-record';
import { select } from './key-selector';
import './index.scss';
var bem = createBEM('pant-data-list');
var DataList = /** @class */ (function (_super) {
    __extends(DataList, _super);
    function DataList(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {};
        return _this;
    }
    DataList.prototype.render = function () {
        var _this = this;
        var addons = this.props.addons;
        var props = useMiddleware(addons, 'onInjectProps')(this.props);
        var renderDataList = useMiddleware(addons, 'onInjectDataList')(function (_a) {
            var records = _a.records, listRender = _a.listRender;
            if (listRender) {
                return listRender(records);
            }
            return (_jsxs("div", __assign({ className: bem('records') }, { children: [props.topTip ? (_jsx("div", __assign({ className: bem('tips') }, { children: props.topTip }), void 0)) : !records.length ? (_jsx("div", __assign({ className: bem('tips') }, { children: _this.props.noDataMsg || i18n().noData }), void 0)) : null,
                    records.map(function (record, recordIndex) { return (_jsx(DataListRecord, __assign({}, props, { record: record, recordIndex: recordIndex }), select(props.recordKey)(record, recordIndex))); })] }), void 0));
        });
        return _jsx("div", __assign({ className: bem() }, { children: renderDataList(props) }), void 0);
    };
    DataList.defaultProps = {};
    return DataList;
}(React.PureComponent));
export { DataList };
