import React from 'react';
import './index.scss';
export declare type DialogProps = {
    show?: boolean;
    lockScroll?: boolean;
    title?: string;
    className?: string;
    titleNode?: React.ReactNode;
    width?: number | string;
    zIndex?: number;
    html?: boolean;
    message?: string;
    messageNode?: React.ReactNode;
    messageAlign?: string;
    cancelButtonText?: string;
    cancelButtonColor?: string;
    confirmButtonText?: string;
    confirmButtonColor?: string;
    showConfirmButton?: boolean;
    showCancelButton?: boolean;
    cancelLoading?: boolean;
    confirmLoading?: boolean;
    transition?: string;
    overlay?: boolean;
    cancelOnClickOverlay?: boolean;
    onClosed?(): void;
    onOpened?(): void;
    onCancelClick?(event: React.MouseEvent): void;
    onConfirmClick?(event: React.MouseEvent): void;
};
export declare const Dialog: React.FC<DialogProps>;
