import { DialogProps } from './dialog';
import './index.scss';
export { Dialog } from './dialog';
export type { DialogProps } from './dialog';
export declare type DialogOptions = DialogProps;
export declare type DialogReturn = {
    close(): void;
    update(newProps: DialogProps): void;
};
export declare function dialog(options: string | DialogOptions): DialogReturn;
export declare function closeAllDialogs(): void;
