var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import ReactDOM from 'react-dom';
import { Dialog } from './dialog';
import './index.scss';
export { Dialog } from './dialog';
var dialogReturnList = [];
export function dialog(options) {
    var opt;
    if (typeof options === 'string') {
        opt = { message: options };
    }
    else {
        opt = options;
    }
    var props;
    var container = document.createElement('div');
    container.className = 'pant-dialog-container';
    var onClick = function () {
        res.close();
    };
    var res = {
        close: function () {
            if (!container) {
                return;
            }
            ReactDOM.render(_jsx(Dialog, __assign({}, opt, props, { onCancelClick: opt.onCancelClick || onClick, onConfirmClick: opt.onConfirmClick || onClick, onClosed: function () {
                    document.body.removeChild(container);
                    container = null;
                    opt.onClosed && opt.onClosed();
                } }), void 0), container);
            var index = dialogReturnList.indexOf(res);
            index >= 0 && dialogReturnList.splice(index, 1);
        },
        update: function (newProps) {
            if (!container) {
                return;
            }
            props = newProps;
            ReactDOM.render(_jsx(Dialog, __assign({}, opt, props, { onCancelClick: opt.onCancelClick || onClick, onConfirmClick: opt.onConfirmClick || onClick, show: true }), void 0), container);
        },
    };
    dialogReturnList.push(res);
    document.body.appendChild(container);
    ReactDOM.render(_jsx(Dialog, __assign({}, opt, { onCancelClick: opt.onCancelClick || onClick, onConfirmClick: opt.onConfirmClick || onClick, show: true }), void 0), container);
    return res;
}
export function closeAllDialogs() {
    dialogReturnList.forEach(function (item) { return item.close(); });
}
