var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import clsx from 'clsx';
import { addUnit } from '../utils';
import { createBEM } from '../utils/bem';
import { Info } from '../info';
import './index.scss';
var bem = createBEM('pant-icon');
function isImage(name) {
    return name ? name.indexOf('/') !== -1 : false;
}
export var Icon = function (props) {
    var name = props.name;
    var imageIcon = isImage(name);
    return (_jsxs("i", __assign({ className: clsx(props.classPrefix + (imageIcon ? '' : " " + props.classPrefix + "-" + name), props.className), style: __assign({ color: props.color, fontSize: addUnit(props.size) }, props.style), onClick: props.onClick, onTouchStart: props.onTouchStart }, { children: [imageIcon && _jsx("img", { className: bem('image'), src: name }, void 0),
            _jsx(Info, { dot: props.dot, info: props.info }, void 0)] }), void 0));
};
Icon.defaultProps = {
    classPrefix: 'pant-icon',
};
