var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import { isDef } from '../utils';
import { createBEM } from '../utils/bem';
import './index.scss';
var bem = createBEM('pant-info');
export var Info = function (props) {
    var dot = props.dot, info = props.info;
    var showInfo = isDef(info) && info !== '';
    if (!dot && !showInfo) {
        return null;
    }
    return _jsx("div", __assign({ className: bem({ dot: dot }) }, { children: dot ? '' : info }), void 0);
};
