var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import { Popup } from '../popup';
import { getIncrementalZIndex } from '../utils';
import { createBEM } from '../utils/bem';
import { Z_INDEX_NOTIFY_BASE } from '../utils/constant';
import './index.scss';
var bem = createBEM('pant-notify');
export var Notify = function (props) {
    var style = __assign(__assign({}, props.style), { color: props.color, background: props.background });
    return (_jsx(Popup, __assign({ show: props.show, style: { backgroundColor: 'transparent' }, zIndex: props.zIndex || getIncrementalZIndex(Z_INDEX_NOTIFY_BASE), overlay: false, duration: 0.2, lockScroll: false, position: props.position, fadeLeave: props.fadeLeave, onClick: props.onClick, onOpened: props.onOpened, onClosed: props.onClosed }, { children: _jsx("div", __assign({ className: bem([props.type]), style: style }, { children: props.message }), void 0) }), void 0));
};
Notify.defaultProps = {
    type: 'danger',
    position: 'top',
};
