var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import clsx from 'clsx';
import { i18n } from '../../locale';
import { createBEM } from '../../utils/bem';
import './index.scss';
var bem = createBEM('pant-popup-toolbar');
export var PopupToolbar = function (props) {
    var className = props.className, title = props.title, cancelButtonText = props.cancelButtonText, confirmButtonText = props.confirmButtonText, onCancel = props.onCancel, onConfirm = props.onConfirm;
    var onlyTitle = !onCancel && !onConfirm;
    return (_jsxs("div", __assign({ className: clsx(bem({ title: onlyTitle }), className) }, { children: [!onlyTitle ? (_jsx("button", __assign({ type: "button", className: bem('cancel'), onClick: onCancel }, { children: cancelButtonText || i18n().cancel }), "cancel")) : null,
            _jsx("div", __assign({ className: clsx(bem('title'), 'pant-ellipsis') }, { children: title }), "title"),
            !onlyTitle ? (_jsx("button", __assign({ type: "button", className: bem('confirm'), onClick: onConfirm }, { children: confirmButtonText || i18n().confirm }), "confirm")) : null] }), void 0));
};
