var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import React from 'react';
import { createBEM } from '../utils/bem';
import './index.scss';
var bem = createBEM('pant-row');
export var Row = function (props) {
    var _a;
    var align = props.align, justify = props.justify;
    var flex = props.type === 'flex';
    var margin = "-" + Number(props.gutter) / 2 + "px";
    var style = props.gutter ? { marginLeft: margin, marginRight: margin } : {};
    var childrenWithProps = []
        .concat(props.children)
        .map(function (child, i) { return React.cloneElement(child, { key: i, gutter: props.gutter }); });
    return (_jsx("div", __assign({ style: style, className: bem((_a = {
                flex: flex
            },
            _a["align-" + align] = flex && align,
            _a["justify-" + justify] = flex && justify,
            _a)), onClick: props.onClick }, { children: childrenWithProps }), void 0));
};
Row.defaultProps = {
    gutter: 0,
};
