import React from 'react';
import './index.scss';
export { Tabs } from './tabs';
export type { TabInfo } from './tabs';
export declare type TabProps = {
    title: string;
    titleNode?: React.ReactNode;
    name?: string;
    dot?: boolean;
    info?: number | string;
    disabled?: boolean;
    lazyRender?: boolean;
    isActive?: boolean;
};
export declare class Tab extends React.PureComponent<TabProps> {
    private inited;
    render(): JSX.Element;
}
