import { ToastProps } from './toast';
import './index.scss';
export { Toast } from './toast';
export type { ToastProps, ToastPosition } from './toast';
export declare type ToastOptions = ToastProps & {
    duration?: number;
    clearOnClick?: boolean;
};
export declare type ToastReturn = {
    clear(): void;
    setMessage(message: string): void;
};
export declare function toast(options: string | ToastOptions): ToastReturn;
export declare function clearAllToasts(): void;
