import React from 'react';
import { PopupProps } from '../popup';
import './index.scss';
export declare type ActionSheetItem = {
    name: string;
    value?: any;
    color?: string;
    subname?: string;
    loading?: boolean;
    disabled?: boolean;
    className?: string;
};
export declare type ActionSheetProps = PopupProps & {
    title?: string;
    actions?: ActionSheetItem[];
    cancelText?: string;
    description?: string;
    onClosed?(): void;
    onOpened?(): void;
    onCancel?(event: React.MouseEvent): void;
    onSelect?(item: ActionSheetItem, index: number): void;
};
export declare const ActionSheet: React.FC<ActionSheetProps>;
