import { ActionSheetProps } from './action-sheet';
import './index.scss';
export { ActionSheet } from './action-sheet';
export type { ActionSheetProps, ActionSheetItem } from './action-sheet';
export declare type ActionSheetOptions = ActionSheetProps & {
    closeOnSelect?: boolean;
};
export declare type ActionSheetReturn = {
    close(): void;
};
export declare function actionSheet(options: ActionSheetOptions): ActionSheetReturn;
export declare function closeAllactionSheets(): void;
