"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.closeAllactionSheets = exports.actionSheet = exports.ActionSheet = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_dom_1 = __importDefault(require("react-dom"));
var action_sheet_1 = require("./action-sheet");
require("./index.scss");
var action_sheet_2 = require("./action-sheet");
Object.defineProperty(exports, "ActionSheet", { enumerable: true, get: function () { return action_sheet_2.ActionSheet; } });
var actionSheetReturnList = [];
function actionSheet(options) {
    var opt = options;
    var container = document.createElement('div');
    container.className = 'pant-action-sheet-container';
    function onCancel() {
        res.close();
    }
    function onSelect(item, index) {
        if (opt.closeOnSelect !== false) {
            res.close();
        }
        opt.onSelect && opt.onSelect(item, index);
    }
    var res = {
        close: function () {
            if (!container) {
                return;
            }
            react_dom_1.default.render(jsx_runtime_1.jsx(action_sheet_1.ActionSheet, __assign({}, opt, { onCancel: opt.onCancel || onCancel, onSelect: onSelect, onClosed: function () {
                    document.body.removeChild(container);
                    container = null;
                    opt.onClosed && opt.onClosed();
                } }), void 0), container);
            var index = actionSheetReturnList.indexOf(res);
            index >= 0 && actionSheetReturnList.splice(index, 1);
        },
    };
    actionSheetReturnList.push(res);
    document.body.appendChild(container);
    react_dom_1.default.render(jsx_runtime_1.jsx(action_sheet_1.ActionSheet, __assign({}, opt, { onCancel: opt.onCancel || onCancel, onSelect: onSelect, show: true }), void 0), container);
    return res;
}
exports.actionSheet = actionSheet;
function closeAllactionSheets() {
    actionSheetReturnList.forEach(function (item) { return item.close(); });
}
exports.closeAllactionSheets = closeAllactionSheets;
