"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CellGroup = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var clsx_1 = __importDefault(require("clsx"));
var constant_1 = require("../utils/constant");
var bem_1 = require("../utils/bem");
require("./index.scss");
var bem = bem_1.createBEM('pant-cell-group');
var CellGroup = function (props) {
    var _a;
    var Group = jsx_runtime_1.jsx("div", __assign({ className: clsx_1.default(bem(), (_a = {}, _a[constant_1.BORDER_TOP_BOTTOM] = props.border, _a)) }, { children: props.children }), void 0);
    if (props.title) {
        return (jsx_runtime_1.jsxs("div", { children: [jsx_runtime_1.jsx("div", __assign({ className: bem('title') }, { children: props.title }), void 0), Group] }, void 0));
    }
    return Group;
};
exports.CellGroup = CellGroup;
