"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Col = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var bem_1 = require("../utils/bem");
require("./index.scss");
var bem = bem_1.createBEM('pant-col');
var Col = function (props) {
    var _a;
    var span = props.span, offset = props.offset;
    var gutter = Number(props.gutter) || 0;
    var padding = gutter / 2 + "px";
    var style = gutter ? { paddingLeft: padding, paddingRight: padding } : {};
    return (jsx_runtime_1.jsx("div", __assign({ style: style, className: bem((_a = {}, _a[span] = span, _a["offset-" + offset] = offset, _a)), onClick: props.onClick }, { children: props.children }), void 0));
};
exports.Col = Col;
exports.Col.defaultProps = {
    gutter: 0,
};
