import { RecordKey } from '../../key-selector';
export declare class SelectableManager<T = Record<string, any>> {
    private records;
    private value;
    private recordKey;
    private maxSelection;
    private maxSelectionMsg;
    private onChange;
    constructor(records: T[], value: string[], recordKey: RecordKey<T>, maxSelection: number, maxSelectionMsg: string, onChange: (value: string[]) => void);
    getValue(): string[];
    hasKey(key: string): boolean;
    toggle(key: string): void;
    toggleAll(): void;
}
