"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.toolbar = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var sticky_1 = require("../../../sticky");
var use_middleware_1 = require("../../use-middleware");
require("./index.scss");
function toolbar(options) {
    if (options === void 0) { options = {}; }
    return {
        onInjectDataList: function (render) { return function (props) {
            return jsx_runtime_1.jsx(DataListToolbar, __assign({ dataListProps: props, dataListRender: render }, options), void 0);
        }; },
    };
}
exports.toolbar = toolbar;
function DataListToolbar(_a) {
    var dataListRender = _a.dataListRender, dataListProps = _a.dataListProps, sticky = _a.sticky, stickyContainer = _a.stickyContainer;
    var toolbar = jsx_runtime_1.jsx(Toolbar, __assign({}, dataListProps), void 0);
    return (jsx_runtime_1.jsxs(jsx_runtime_1.Fragment, { children: [sticky ? (jsx_runtime_1.jsx(sticky_1.Sticky, __assign({ container: stickyContainer, offsetBottom: 60 }, { children: toolbar }), void 0)) : (toolbar),
            dataListRender(__assign({}, dataListProps))] }, void 0));
}
function Toolbar(props) {
    var addons = props.addons;
    var renderToolbar = use_middleware_1.useMiddleware(addons, 'onInjectToolbar')(function () { return jsx_runtime_1.jsx(jsx_runtime_1.Fragment, {}, void 0); });
    return jsx_runtime_1.jsx("div", __assign({ className: "pant-data-list__toolbar pant-hairline--bottom" }, { children: renderToolbar(props) }), void 0);
}
