import React from 'react';
import { DataListColumn, DataListProps } from '.';
export declare type RowRenderOptions<T = Record<string, any>> = {
    record: T;
    recordIndex: number;
    column: DataListColumn<T>;
    columnIndex: number;
};
export declare type DataListRecordProps<T = Record<string, any>> = DataListProps<T> & {
    record: T;
    recordIndex: number;
};
export declare const DataListRecord: React.FC<DataListRecordProps>;
