"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataList = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = __importDefault(require("react"));
var bem_1 = require("../utils/bem");
var locale_1 = require("../locale");
var use_middleware_1 = require("./use-middleware");
var data_list_record_1 = require("./data-list-record");
var key_selector_1 = require("./key-selector");
require("./index.scss");
var bem = bem_1.createBEM('pant-data-list');
var DataList = /** @class */ (function (_super) {
    __extends(DataList, _super);
    function DataList(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {};
        return _this;
    }
    DataList.prototype.render = function () {
        var _this = this;
        var addons = this.props.addons;
        var props = use_middleware_1.useMiddleware(addons, 'onInjectProps')(this.props);
        var renderDataList = use_middleware_1.useMiddleware(addons, 'onInjectDataList')(function (_a) {
            var records = _a.records, listRender = _a.listRender;
            if (listRender) {
                return listRender(records);
            }
            return (jsx_runtime_1.jsxs("div", __assign({ className: bem('records') }, { children: [props.topTip ? (jsx_runtime_1.jsx("div", __assign({ className: bem('tips') }, { children: props.topTip }), void 0)) : !records.length ? (jsx_runtime_1.jsx("div", __assign({ className: bem('tips') }, { children: _this.props.noDataMsg || locale_1.i18n().noData }), void 0)) : null,
                    records.map(function (record, recordIndex) { return (jsx_runtime_1.jsx(data_list_record_1.DataListRecord, __assign({}, props, { record: record, recordIndex: recordIndex }), key_selector_1.select(props.recordKey)(record, recordIndex))); })] }), void 0));
        });
        return jsx_runtime_1.jsx("div", __assign({ className: bem() }, { children: renderDataList(props) }), void 0);
    };
    DataList.defaultProps = {};
    return DataList;
}(react_1.default.PureComponent));
exports.DataList = DataList;
