"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.select = void 0;
var lodash_es_1 = require("lodash-es");
var select = function (recordKey) {
    if (typeof recordKey === 'function') {
        return recordKey;
    }
    return function (record, recordIndex) {
        return lodash_es_1.get(record, recordKey, recordIndex) + '';
    };
};
exports.select = select;
