"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.closeAllDialogs = exports.dialog = exports.Dialog = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_dom_1 = __importDefault(require("react-dom"));
var dialog_1 = require("./dialog");
require("./index.scss");
var dialog_2 = require("./dialog");
Object.defineProperty(exports, "Dialog", { enumerable: true, get: function () { return dialog_2.Dialog; } });
var dialogReturnList = [];
function dialog(options) {
    var opt;
    if (typeof options === 'string') {
        opt = { message: options };
    }
    else {
        opt = options;
    }
    var props;
    var container = document.createElement('div');
    container.className = 'pant-dialog-container';
    var onClick = function () {
        res.close();
    };
    var res = {
        close: function () {
            if (!container) {
                return;
            }
            react_dom_1.default.render(jsx_runtime_1.jsx(dialog_1.Dialog, __assign({}, opt, props, { onCancelClick: opt.onCancelClick || onClick, onConfirmClick: opt.onConfirmClick || onClick, onClosed: function () {
                    document.body.removeChild(container);
                    container = null;
                    opt.onClosed && opt.onClosed();
                } }), void 0), container);
            var index = dialogReturnList.indexOf(res);
            index >= 0 && dialogReturnList.splice(index, 1);
        },
        update: function (newProps) {
            if (!container) {
                return;
            }
            props = newProps;
            react_dom_1.default.render(jsx_runtime_1.jsx(dialog_1.Dialog, __assign({}, opt, props, { onCancelClick: opt.onCancelClick || onClick, onConfirmClick: opt.onConfirmClick || onClick, show: true }), void 0), container);
        },
    };
    dialogReturnList.push(res);
    document.body.appendChild(container);
    react_dom_1.default.render(jsx_runtime_1.jsx(dialog_1.Dialog, __assign({}, opt, { onCancelClick: opt.onCancelClick || onClick, onConfirmClick: opt.onConfirmClick || onClick, show: true }), void 0), container);
    return res;
}
exports.dialog = dialog;
function closeAllDialogs() {
    dialogReturnList.forEach(function (item) { return item.close(); });
}
exports.closeAllDialogs = closeAllDialogs;
