"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Info = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var utils_1 = require("../utils");
var bem_1 = require("../utils/bem");
require("./index.scss");
var bem = bem_1.createBEM('pant-info');
var Info = function (props) {
    var dot = props.dot, info = props.info;
    var showInfo = utils_1.isDef(info) && info !== '';
    if (!dot && !showInfo) {
        return null;
    }
    return jsx_runtime_1.jsx("div", __assign({ className: bem({ dot: dot }) }, { children: dot ? '' : info }), void 0);
};
exports.Info = Info;
