import React from 'react';
import { PopupProps } from '../popup';
import './index.scss';
export declare type NotifyType = 'primary' | 'success' | 'danger' | 'warning';
export declare type NotifyProps = PopupProps & {
    message: string;
    type?: NotifyType;
    color?: string;
    background?: string;
    style?: Record<string, string>;
    onClick?(event: React.MouseEvent): void;
};
export declare const Notify: React.FC<NotifyProps>;
