"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Notify = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var popup_1 = require("../popup");
var utils_1 = require("../utils");
var bem_1 = require("../utils/bem");
var constant_1 = require("../utils/constant");
require("./index.scss");
var bem = bem_1.createBEM('pant-notify');
var Notify = function (props) {
    var style = __assign(__assign({}, props.style), { color: props.color, background: props.background });
    return (jsx_runtime_1.jsx(popup_1.Popup, __assign({ show: props.show, style: { backgroundColor: 'transparent' }, zIndex: props.zIndex || utils_1.getIncrementalZIndex(constant_1.Z_INDEX_NOTIFY_BASE), overlay: false, duration: 0.2, lockScroll: false, position: props.position, fadeLeave: props.fadeLeave, onClick: props.onClick, onOpened: props.onOpened, onClosed: props.onClosed }, { children: jsx_runtime_1.jsx("div", __assign({ className: bem([props.type]), style: style }, { children: props.message }), void 0) }), void 0));
};
exports.Notify = Notify;
exports.Notify.defaultProps = {
    type: 'danger',
    position: 'top',
};
