import React from 'react';
import './index.scss';
declare type KeyProps = {
    text: string;
    type: string;
    wider?: boolean;
    color?: string;
    large?: boolean;
    onPress?: (text: string, type: string) => void;
};
declare type KeyState = {
    active: boolean;
};
export declare class Key extends React.PureComponent<KeyProps, KeyState> {
    private elRef;
    private touchHandler;
    constructor(props: KeyProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    onTouchStart(event: TouchEvent): void;
    onTouchMove(): void;
    onTouchEnd(): void;
    genContent(): string | JSX.Element;
    render(): JSX.Element;
}
export {};
