import React from 'react';
import { TransitionEvents } from '../transition';
import './index.scss';
export declare type OverlayProps = {
    show?: boolean;
    lockScroll?: boolean;
    zIndex?: number | string;
    duration?: number;
    className?: any;
    style?: Record<string, string>;
    onClick?(event: React.MouseEvent): void;
} & TransitionEvents;
export declare const Overlay: React.FC<OverlayProps>;
